Class AuthenticationApi.Authenticate
- Enclosing class:
AuthenticationApi
authenticate API method that lets you choose the content type
via the Accept header.-
Field Summary
Fields inherited from class ApiCall
accept, apiCallInterceptor, authentications, authNames, body, cookieParams, headerParams, method, path, properties, queryParams, returnTypes -
Method Summary
Modifier and TypeMethodDescriptionClass<? extends EndpointCategory> Calls the API with theAcceptheader set toapplication/json; charset=utf-8.Calls the API with theAcceptheader set toapplication/vnd.xima.fc.api.rest.public+json; version=1.0; charset=utf-8.protected AuthenticationApi.Authenticateself()Methods inherited from class ApiCall
accept, accept, apiCallInterceptor, apiCallInterceptor, authentication, authentications, authentications, authNames, authNames, body, body, body, cookieParam, cookieParams, cookieParams, headerParam, headerParams, headerParams, method, method, path, path, properties, properties, property, queryParam, queryParams, queryParams, returnTypes, returnTypes
-
Method Details
-
self
- Specified by:
selfin classApiCall<AuthenticationApi.Authenticate>
-
endpointCategory
- Specified by:
endpointCategoryin classEndpointCategoryCall<AuthenticationApi.Authenticate>- Returns:
- The endpoint category that created this API call.
-
requestJson
Calls the API with theAcceptheader set toapplication/json; charset=utf-8.Authenticates a user. Authenticates a user by username and password, using a single system authenticator with the UUID given as a path parameter. If the authentication is successful, an access token, a refresh token, and an ID token are returned. If the user or the system has multi-factor authentication (MFA) enabled, the response will contain a temporary MFA token indicating that MFA is required. The user must then verify the MFA code using the /verify endpoint with the temporary MFA token. In case of E-Mail MFA , the user will receive an E-Mail with the MFA code, which they must then provide to complete the authentication process.
Status codes that may be returned by this API call:
- 200 - An JSON with access, refresh and id token and necessary metadata after successful authentication.
- Returns:
- A completion stage that resolves with the data returned by the API.
-
requestJson_v1_0
Calls the API with theAcceptheader set toapplication/vnd.xima.fc.api.rest.public+json; version=1.0; charset=utf-8.Authenticates a user. Authenticates a user by username and password, using a single system authenticator with the UUID given as a path parameter. If the authentication is successful, an access token, a refresh token, and an ID token are returned. If the user or the system has multi-factor authentication (MFA) enabled, the response will contain a temporary MFA token indicating that MFA is required. The user must then verify the MFA code using the /verify endpoint with the temporary MFA token. In case of E-Mail MFA , the user will receive an E-Mail with the MFA code, which they must then provide to complete the authentication process.
Status codes that may be returned by this API call:
- 200 - An JSON with access, refresh and id token and necessary metadata after successful authentication.
- Returns:
- A completion stage that resolves with the data returned by the API.
-